Loading...
Searching...
No Matches
match_const< T, const ReferenceT > Struct Template Reference

Template specialization used to transfer the const-ness of a reference type to another type. More...

`#include <nanovdb/NanoVDB.h>`

## Public Types

using | type = const typename remove_const< T >::type

## Detailed Description

template<typename T, typename ReferenceT>
struct nanovdb::match_const< T, const ReferenceT >

Template specialization used to transfer the const-ness of a reference type to another type.

Template Parameters

  T | Type that will adopt the const-ness of the reference type
  ReferenceT | Reference type that is const

match_const<const int, const float>::type = const int match_const<int, const float>::type = const int

## Member Typedef Documentation

## type

template<typename T , typename ReferenceT >

using type = const typename remove_const<T>::type